Create a REST hook subscription
POST
Scope: webhooks:write. The REST hook subscription used by tools such as Zapier, Make and n8n; it shares the signed delivery infrastructure of webhooks. The signing secret is returned only in this response. Idempotency-Key is required.
integrationKeyheader
AuthorizationBearer <cf_sk_…>Organization API key (cf_sk_…), created under Organization → API and automations → API keys and sent as Authorization: Bearer cf_sk_….
Idempotency-Key*stringLength
length <= 200application/json- body
name*stringurl*stringFormat
urievents*array<>Items
1 <= itemsenabled*booleanSuccess
application/json- response
success*booleandata*meta*curl -X POST 'https://api.getclickfix.com/v1/public-api/subscriptions' \ -H 'Idempotency-Key: workflow-42-step-1' \ -H 'Content-Type: application/json' \ -d '{ "name": "Zapier new conversation", "url": "https://hooks.zapier.com/hooks/catch/123456/abcdef", "events": [ "conversation.created" ], "enabled": true}'Example Response
{ "success": true, "data": { "uuid": "6e5d4c3b-2a19-4f8e-9d7c-6b5a4f3e2d1c", "name": "Zapier new conversation", "url": "https://hooks.zapier.com/hooks/catch/123456/abcdef", "events": [ "conversation.created" ], "enabled": true, "secret": "whsec_a4f0…" }, "meta": { "request_id": "01JCK9ZQ3M8R2W7X5E4T1N0PAB" }}